import { Genome, Organism, Population } from '../../index';
import { ISumAgentState } from './interfaces/sum-agent-state';
import { ISumData } from './interfaces/sum-data';
import { ISumEnvState } from './interfaces/sum-env-state';
import { ISumGenomeOptions } from './interfaces/sum-genome-options';
import { ISumOrganismOptions } from './interfaces/sum-organism-options';
import { ISumPopOptions } from './interfaces/sum-pop-options';
export declare class SumPopulation extends Population<ISumGenomeOptions, ISumPopOptions, ISumOrganismOptions, ISumData, number[], ISumAgentState, ISumEnvState> {
    createOrganism(genome: Genome<ISumGenomeOptions>, options: ISumOrganismOptions): Organism<ISumGenomeOptions, ISumPopOptions, ISumOrganismOptions, ISumData, number[], ISumAgentState, ISumEnvState>;
}
