import { Genome, IEvolvable, IGenomeOptions } from '../index';
export declare abstract class Specimen<Gen extends IGenomeOptions, Pheno> implements IEvolvable<Gen, Pheno> {
    genotype: Genome<Gen>;
    age: number;
    phenotype: Pheno;
    constructor(genotype: Genome<Gen>);
    abstract createPhenotype(genotype: Genome<Gen>): Pheno;
    ageSpecimen(n?: number): Specimen<Gen, Pheno>;
}
